Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/test/java/eu/dnetlib/miscutils/iterators/xml/IterableXmlParserTest.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/test/java/eu/dnetlib/miscutils/iterators/xml/IterableXmlParserTest.java	(revision 57626)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/test/java/eu/dnetlib/miscutils/iterators/xml/IterableXmlParserTest.java	(revision 57627)
@@ -3,22 +3,30 @@
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertTrue;
 
-import java.io.ByteArrayInputStream;
-import java.io.IOException;
-import java.io.InputStream;
-import java.io.StringReader;
-import java.io.StringWriter;
+import java.io.*;
+import java.net.URI;
+import java.nio.charset.StandardCharsets;
+import java.nio.file.*;
+import java.util.Iterator;
 import java.util.zip.GZIPInputStream;
 import java.util.zip.ZipInputStream;
 
+import eu.dnetlib.rmi.data.CollectorServiceException;
 import org.apache.commons.io.IOUtils;
+import org.apache.http.HttpStatus;
+import org.apache.http.client.methods.CloseableHttpResponse;
+import org.apache.http.client.methods.HttpGet;
+import org.apache.http.impl.client.CloseableHttpClient;
+import org.apache.http.impl.client.HttpClients;
 import org.dom4j.Document;
 import org.dom4j.DocumentException;
 import org.dom4j.io.SAXReader;
 import org.junit.Before;
+import org.junit.Ignore;
 import org.junit.Test;
 import org.springframework.core.io.ClassPathResource;
 import org.springframework.core.io.Resource;
+import sun.nio.ch.IOUtil;
 
 public class IterableXmlParserTest {
 
@@ -30,6 +38,8 @@
 
 	private Resource xmlSingle = new ClassPathResource("eu/dnetlib/miscutils/iterators/xml/singleRepo.xml");
 
+	private Resource xmlBig = new ClassPathResource("eu/dnetlib/miscutils/iterators/xml/big.xml");
+
 	private String element = "repository";
 
 	private IterableXmlParser parser;
@@ -79,6 +89,31 @@
 		assertTrue(count == 3);
 	}
 
+	@Test
+	public void testBig() throws Exception {
+		int count = doTest(xmlBig.getInputStream(), "Entry");
+		System.out.println(count);
+	}
+
+	@Test
+	public void testBigRemote() throws Exception {
+		Iterator<String> s = new XMLIterator("Entry", xmlBig.getInputStream());
+		int i =0;
+		Path dir = Paths.get("/tmp/foresight");
+		Files.createDirectories(dir);
+		while(s.hasNext()){
+			System.out.println(++i);
+
+			final Path path = Files.createTempFile(dir,"foresight", i+".xml");
+			System.out.println("Temp file : " + path);
+
+			//Writing data here
+			byte[] strToBytes = s.next().getBytes();
+			Files.write(path, strToBytes);
+
+		}
+	}
+
 	private int doTest(final InputStream stream, final String element) throws DocumentException {
 		parser = new IterableXmlParser(element, stream);
 		int count = 0;
